Redmine - Patch #32950

Update simplecov to 0.18
2020-02-04 16:29 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 4.2.0

Description

simplecov 0.18.0 has been released on 2020-01-28.

diff --git a/Gemfile b/Gemfile
index c8lcfcc8d..ad9%le53a3 100644
-—— a/Gemfile
+++ b/Gemfile
@@ -80,7 +80,7 @@ end
group :test do
gem "rails-dom-testing"
gem 'mocha', '>= 1.4.0"'

- gem "simplecov", "~> 0.17.0", :require => false
+ gem 'simplecov', (RUBY_VERSION < '2.4' ? '~> 0.17.0'
gem "ffi", platforms: [:mingw, :x64_mingw, :mswin]

# For running system tests
gem 'puma'

'~> 0.18.1'"), :require => false

Related issues:

Related to Redmine - Defect #33044: SimpleCov 0.18.3 causes NameError during ...

Closed

Associated revisions

Revision 19496 - 2020-02-05 16:47 - Go MAEDA
Update simplecov to 0.18 (#32950).

Revision 19529 - 2020-02-26 08:17 - Go MAEDA
Test failure with SimpleCov 0.18.3 or 0.18.4 (#32950, #33044).

History

#1 - 2020-02-05 00:16 - Go MAEDA

- Description updated

Updated the patch. SimpleCov 0.18 does not support Ruby 2.3.

#2 - 2020-02-05 16:48 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#3 - 2020-02-26 07:55 - Go MAEDA

- Related to Defect #33044: SimpleCov 0.18.3 causes NameError during tests added

2025-05-17

1/1



https://rubygems.org/gems/simplecov
http://www.tcpdf.org

